# CXO Appointments and Changes Dataset API

## Submit C-Suite Changes Dataset Request

> This API endpoint allows users to access real-time and historical C-Suite Changes dataset. Users can search data using various parameters- \`dateType\`,\`startDate\`,\`endDate\`,\`date\`,\`companyDomain\`,\`companyName\`,\`companyIndustry\`,\`companyLocation\`,\`companyType\`,\`companyTicker\`,\`executiveName\`,\`executiveTitle\`,\`executiveTitleCategory\`, and \`reason\` . Users can limit the number of records returned using the \`limit\` parameter. All the parameters are optional. The API key has to be passed in HTTP header with the name \`x-api-key\`.

```json
{"openapi":"3.0.3","info":{"title":"Intellizence C-Suite Changes Dataset API","version":"2.0"},"servers":[{"url":"https://api.intellizence.com"}],"paths":{"/api/v2/dataset/executive-change":{"post":{"summary":"Submit C-Suite Changes Dataset Request","description":"This API endpoint allows users to access real-time and historical C-Suite Changes dataset. Users can search data using various parameters- `dateType`,`startDate`,`endDate`,`date`,`companyDomain`,`companyName`,`companyIndustry`,`companyLocation`,`companyType`,`companyTicker`,`executiveName`,`executiveTitle`,`executiveTitleCategory`, and `reason` . Users can limit the number of records returned using the `limit` parameter. All the parameters are optional. The API key has to be passed in HTTP header with the name `x-api-key`.","operationId":"getExecutive-ChangeDataset","parameters":[{"name":"x-api-key","in":"header","description":"Intellizence API key for authenticating the request.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Intellizence C-Suite Changes Dataset request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dataset_executivechange_body"}}}},"responses":{"200":{"description":"Successful response, returns the Intellizence C-Suite Changes dataset record(s)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200"}}}},"400":{"description":"Bad request, possibly missing required parameters, invalid data, invalid or missing API key"},"404":{"description":"Available credits are 0"},"405":{"description":"Insufficient credits"},"500":{"description":"Internal server error"}}}}},"components":{"schemas":{"dataset_executivechange_body":{"type":"object","properties":{"dateType":{"type":"string","description":"Choose the date type used to filter records.The default value is 'ANNOUNCED'. To get the daily update of records created or modified, 'LAST-MODIFIED' is recommended.","enum":["ANNOUNCED","LAST-MODIFIED"]},"startDate":{"type":"string","description":"The start date (YYYY-MM-DD) from which C-Suite changes data is needed. The Intellizence C-Suite Changes Dataset contains data from 2021-01-01.","format":"date"},"endDate":{"type":"string","description":"The end date (YYYY-MM-DD) up to which C-Suite changes data is needed.","format":"date"},"date":{"type":"string","description":"Exact date (YYYY-MM-DD) for which the C-Suite changes data is needed.","format":"date"},"companyName":{"type":"string","description":"The name(s) of the company for which the C-Suite changes data is needed. Partial name matches are supported. Multiple values can be provided either as a comma-separated string or as an array."},"companyDomain":{"type":"string","description":"The website domain(s) of the company for which the C-Suite changes data is needed. Partial website domain matches are supported. Multiple values can be provided either as a comma-separated string or as an array."},"companyIndustry":{"type":"string","description":"The industry or industries of companies for which C-Suite changes data is needed. The industries are pre-defined by Intellizence and only the values listed below will be accepted. Multiple values can be provided as an array.","enum":["accounting, audit & tax","advertising & communication","agriculture, animal husbandry & forestry","angels/ venture capital/ private equity","automobile","aviation","banking","bio-technology","business services","chemicals & fertilizers","clean technology","conglomerate","consulting","consumer products","consumer services","defence","distribution","e-commerce","economic development","education","energy & utilities","engineering, procurement & construction","financial services","gambling","gaming","government","healthcare","human resources","insurance","it services & outsourcing","legal","logistics & supply chain","manufacturing","media & entertainment","medical device","metals & mining","not-for-profit/ ngo","others","pharmaceuticals","publishing","railways","real estate","regulatory","restaurants & food services","retail","security","shipping & ports","spac/blank check","sports","technology","telecommunication","textiles","tourism & hospitality","trading","transportation"]},"companyLocation":{"type":"string","description":"The location of the company headquarters for which C-Suite changes data is needed. The location can be city or state/province or country. Multiple values can be provided either as a comma-separated string or as an array."},"companyType":{"type":"string","description":"The type of company for which C-Suite changes data is needed. The company types are pre-defined by Intellizence and only the values listed below will be accepted. Multiple values can be provided either as a comma-separated string or as an array.","enum":["Public","Private","Government/Regulator","Not-for-profit","Others"]},"companyTicker":{"type":"string","description":"Company Ticker if it's a public company.Multiple values can be provided either as a comma-separated string or as an array."},"executiveName":{"type":"string","description":"Name of the C-Level executive whose role is changed. Multiple values can be provided either as a comma-separated string or as an array."},"executiveTitle":{"type":"string","description":"Title of the C-Level executive whose role is changed. Multiple values can be provided either as a comma-separated string or as an array."},"executiveTitleCategory":{"type":"string","description":"Title category of the C-Level executive whose role is changed. The title categories are pre-defined by Intellizence and only the values listed below will be accepted. Multiple values can be provided either as a comma-separated string or as an array.","enum":["Chief Executive Officer ( CEO)/President/Managing Director","Chair/Vice-Chair","Board of Director","Chief Operating Officer ( COO)","Chief Financial Officer ( CFO) / Head of Finance","Chief Investment Officer ( CIO)","Chief Information Officer ( CIO) / Head of IT","Chief Technology Officer ( CTO)","Chief Product Officer ( CPO) / Head of Product","Chief Risk Officer ( CRO) / Head of Risk","Chief Information Security Officer ( CISO)\"","Chief Human Resource / People Officer\"","Chief Marketing Officer ( CMO)","Chief Revenue Officer ( CRO) / Head of Sales","Head of Customer Success/Support","Other"]},"reason":{"type":"string","description":"The reason for the executive change.","enum":["New Appointment","Promoted/Role Change","Retired","Terminated","Health","Resigned","Demise","Others"]},"limit":{"type":"integer","description":"The maximum number of records to be returned."}}},"inline_response_200":{"type":"object","properties":{"id":{"type":"string","description":"Unique ID of the record"},"announcedDate":{"type":"string","description":"C-Level executive change announced date","format":"date"},"company":{"type":"object","properties":{"name":{"type":"string","description":"Company name"},"domain":{"type":"string","description":"Company website domain"},"industries":{"type":"array","description":"Company industry classification by Intellizence","items":{"type":"string"}},"location":{"type":"string","description":"Company HQ location"},"type":{"type":"string","description":"Company type"},"ticker":{"type":"array","description":"Company stock ticker (if public)","items":{"type":"string"}}}},"executiveName":{"type":"string","description":"Name of the C-Level executive whose role is changed"},"executiveTitle":{"type":"string","description":"Title of the C-Level executive whose role is changed"},"executiveTitleCategory":{"type":"string","description":"Title category of the C-Level executive whose role is changed"},"reason":{"type":"string","description":"The reason for the executive change."},"effectiveDate":{"type":"string","description":"Effective date of the role change","format":"date"},"lastModified":{"type":"string","description":"The last modified date of the record.","format":"date"},"title":{"type":"string","description":"Source title - News or press release headline"},"url":{"type":"string","description":"URL of the source document."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intellizence.com/dataset-api/c-suite-changes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
